AM263Px MCU+ SDK: TOG Low-Level API

| AM263Px MCU+ SDK 26.00.00 |

Functions
TOG Low-Level API
APIs for SDL Module » APIs for Slave Timeout Gasket(STOG). » Slave Timeout Gasket(STOG)

## Introduction

## Functions
int32_t | SDL_TOG_getIntrCountInternal (uint32_t baseAddr, SDL_TOG_IntrSrc intrSrc, uint32_t *pIntrCnt)
| Read internal interrupt count. More...
int32_t | SDL_TOG_setTimeoutVal (uint32_t baseAddr, uint32_t timeoutVal)
| Set the timeout value. More...
int32_t | SDL_TOG_setIntrPending (uint32_t baseAddr, SDL_TOG_IntrSrc intrSrc)
| Set interrupt source(s) More...

## Timeout interrupt sources
This is the SDL-FL API documentation for the VBUSM Slave Timeout Gasket module. The following procedure describes how to properly use this SDL-FL API: Call SDL_TOG_setTimeoutVal to configure the desired timeout counter value if you wish a shorter timeout than the default maximum timeout. Enable/disable interrupt sources as needed by calling SDL_TOG_setIntrEnable. Note that all interrupt sources are enabled by default. Call SDL_TOG_start to start the timer counting If an interrupt is signaled from the gasket, then... a) Call SDL_TOG_getIntrPending to determine the pending interrupt sources b) Clear interrupt source(s) by calling SDL_TOG_clrIntrPending c) Service the cause of the interrupt as needed. If the system determines that it needs to flush all outstanding transactions (for instance, because the main SoC is in an error condition and is going to be reset), software may do this by calling SDL_TOG_setFlushMode with true. Once all transactions are flushed, software should exit Flush mode by calling SDL_TOG_setFlushMode with false. If the destination side is in reset, this should trigger hardware flush, keeping the gasket returning any transactions that arrive. d) The SDL_TOG_getErrInfo function can be called to get detailed information about the error if needed. e) Ack the interrupt by calling SDL_TOG_getIntrCount and SDL_TOG_ackIntr
typedef uint32_t | SDL_TOG_IntrSrc
| This enumerator defines the possible timeout interrupt sources. More...
#define | SDL_TOG_INTRSRC_TRANSACTION_TIMEOUT ((uint32_t) 1U<<0)
#define | SDL_TOG_INTRSRC_UNEXPECTED_RESPONSE ((uint32_t) 1U<<1)
#define | SDL_TOG_INTRSRC_COMMAND_TIMEOUT ((uint32_t) 1U<<2)
#define | SDL_TOG_INTRSRC_ALL (SDL_TOG_INTRSRC_TRANSACTION_TIMEOUT | SDL_TOG_INTRSRC_UNEXPECTED_RESPONSE | SDL_TOG_INTRSRC_COMMAND_TIMEOUT)

## Macro Definition Documentation

## ◆ SDL_TOG_INTRSRC_TRANSACTION_TIMEOUT

#define SDL_TOG_INTRSRC_TRANSACTION_TIMEOUT ((uint32_t) 1U<<0)

Transaction timeout

## ◆ SDL_TOG_INTRSRC_UNEXPECTED_RESPONSE

#define SDL_TOG_INTRSRC_UNEXPECTED_RESPONSE ((uint32_t) 1U<<1)

Unexpected response

## ◆ SDL_TOG_INTRSRC_COMMAND_TIMEOUT

#define SDL_TOG_INTRSRC_COMMAND_TIMEOUT ((uint32_t) 1U<<2)

Command timeout

## ◆ SDL_TOG_INTRSRC_ALL

#define SDL_TOG_INTRSRC_ALL (SDL_TOG_INTRSRC_TRANSACTION_TIMEOUT | SDL_TOG_INTRSRC_UNEXPECTED_RESPONSE | SDL_TOG_INTRSRC_COMMAND_TIMEOUT)

All interrupt sources

## Typedef Documentation

## ◆ SDL_TOG_IntrSrc

typedef uint32_t SDL_TOG_IntrSrc

This enumerator defines the possible timeout interrupt sources.

## Function Documentation

## ◆ SDL_TOG_getIntrCountInternal()

int32_t SDL_TOG_getIntrCountInternal | ( | uint32_t | baseAddr,
|  | SDL_TOG_IntrSrc | intrSrc,
|  | uint32_t * | pIntrCnt
| ) |  |

Read internal interrupt count.

This function reads the internal interrupt count.

Parameters

  baseAddr | [IN] Base address of the Timeout gasket registers
  intrSrc | [IN] Interrupt source(s) to set
  pIntrCnt | [OUT] Pointer to interrupt source count

Returns
  SDL_PASS The function completed successfully SDL_EBADARGS baseAddr and timeoutVal are invalid

## ◆ SDL_TOG_setTimeoutVal()

int32_t SDL_TOG_setTimeoutVal | ( | uint32_t | baseAddr,
|  | uint32_t | timeoutVal
| ) |  |

Set the timeout value.

This function sets the desired timeout value. Note the Timer runs on the VBUS clock and that determines the actual time.

Parameters

  baseAddr | [IN] Base address of the Timeout gasket registers
  timeoutVal | [IN] Timeout count value

Returns
  SDL_PASS The function completed successfully SDL_EBADARGS baseAddr and timeoutVal are invalid

## ◆ SDL_TOG_setIntrPending()

int32_t SDL_TOG_setIntrPending | ( | uint32_t | baseAddr,
|  | SDL_TOG_IntrSrc | intrSrc
| ) |  |

Set interrupt source(s)

This function allows software to set the specified interrupt source(s).

The intrSrcs value is composed of a logical OR of the desired interrupt sources defined in SDL_TOG_IntrSrc.

Parameters

  baseAddr | [IN] Base address of the Timeout gasket registers
  intrSrc | [IN] Interrupt source(s) to set

Returns
  SDL_PASS The function completed successfully SDL_EBADARGS baseAddr and intrSrcs is invalid